function CK_Database_Normalized_Resampled

L = 97;
Norm_DatabasePath = 'C:\Personal\Work Research\cohn-kanadeDatabase\';
Norm_DatabasePath2 = 'C:\Personal\Work Research\cohn-kanadeDatabase2\'

fid = fopen('Images_Number_CK_List.txt','w');
load Normalize.mat;
num = 1;
k=1;

for num=1:L
    norm_dirName = strcat(Norm_DatabasePath,sprintf('class_%d',k));
    actualImage = dir(strcat(norm_dirName,'\' ,'*.png')); 
    normResizePath = strcat(Norm_DatabasePath2,sprintf('class_%d',k));
    mkdir(normResizePath);
    for m=1:length(actualImage)
        x = imread(strcat(norm_dirName,'\',actualImage(m).name));
        n1= CK_DatabaseIndex(k,1);
        n2= CK_DatabaseIndex(k,2);
        N= CK_DatabaseIndex(k,3);                
        aratio = 64/N;
        x_resize = imresize(x,aratio,'bilinear');
        [N1 N2] = size(x_resize);
        if ((N1~=64) || (N2~=64))
            num
            error('The Resize is not done properly');
        end
        finalImageName = strcat(sprintf('%.2d_',k),actualImage(m).name);
        imwrite(x_resize,strcat(normResizePath,'\',finalImageName));
    end
    M = length(actualImage);
    fprintf(fid,'%d\t%d\n',k,M)
    k = k +1;        
    num = num + 1;
end

fclose(fid);