function FormTraining_Testing_SetJAFFE(folderName, Mtrain)

checkWord = 'JSM_Face_Recognition';
currentPath = pwd;
checkPath = currentPath(end-19:end);
NumClasses = 10;

if ~strcmp(checkPath,checkWord)
    error('Please cd to the correct directory before running the program... cd...\JSM_Face_Recognition');
end

savepwd = pwd;

RootTrainingPath = strcat(pwd,'\Database_Training_Image_MATLAB_Files\','Statistics\',folderName,'\');
DataBaseRoot = 'C:\Personal\Work Research\JAFFE Database\';
RootTestImagePath = strcat(pwd,'\TestSet_Database\Statistics\');
RootTestImagePath = strcat(RootTestImagePath,folderName,'\');

try
    cd(RootTrainingPath);
catch
    cd(strcat(pwd,'\Database_Training_Image_MATLAB_Files\','Statistics\'));
    mkdir(folderName);
    cd(savepwd);
end

try
    cd(RootTestImagePath);
catch
    cd(strcat(pwd,'\TestSet_Database\Statistics\'));
    mkdir(folderName);
    cd(savepwd);
end

cd(strcat(RootTrainingPath));
mkdir Face_Database;
mkdir JSM_data;
mkdir RandomMatrix;

M_sum = 19;
Mtest = 19-Mtrain;
T = 20;
M = Mtrain;

randImage = randperm(T);
trainImage(1:Mtrain) = randImage(1:Mtrain);
testImage(1:Mtest) = randImage(Mtrain+1:Mtrain+Mtest);

if 1
if 1
cd(strcat(RootTrainingPath,'Face_Database'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end


%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect;

cd(strcat(RootTrainingPath,'JSM_data'));
for i=1:NumClasses
    ClassF = sprintf('ImageClass_%d',i);
    mkdir(ClassF);
end

T = [23, 22, 22, 20 , 21, 21, 20, 21, 19, 20];

if 1
for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));
    size(Image)

    eval(sprintf('randImage%d = randperm(T(i));',i));
    eval(strcat(sprintf('trainImage%d(1:Mtrain) =',i), sprintf('randImage%d(1:Mtrain);',i)));
    eval(strcat(sprintf('testImage%d(1:Mtest) =',i), sprintf('randImage%d(Mtrain+1:Mtrain+Mtest);',i)));
    eval(strcat('ImSelect = ',sprintf('trainImage%d',i)));
    
    for j=1:M
        
        SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
        Im = imread(SourceImagePath);
        Im1 = imresize(Im,0.5,'bilinear');
        str = Image(ImSelect(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTrainingPath,'Face_Database\',sprintf('ImageClass_%d',i),'\',str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(strcat(RootTrainingPath,'Face_Database'));
save ImageSetSelect randImage*;

end
end

end

%cd(strcat(RootTrainingPath,'Face_Database'));
%load ImageSetSelect trainImage testImage;

for i=1:NumClasses
    Class_Database_Path = strcat(DataBaseRoot,sprintf('Class_%d',i),'\');
    Image = dir(strcat(Class_Database_Path,'*.jpg'));

    eval(strcat('ImSelect =',sprintf('testImage%d',i)));
    for j=1:Mtest
        j
        SourceImagePath = strcat(Class_Database_Path,Image(ImSelect(j)).name);
        Im = imread(SourceImagePath);
        Im1 = imresize(Im,0.5,'bilinear');
        str = Image(ImSelect(j)).name;
        str(end-3:end) = '.jpg'; 
        DestinationImagePath = strcat(RootTestImagePath,str);
        imwrite(Im1,DestinationImagePath,'jpeg');
    end
end

cd(savepwd);