function [randTrain randTest] = RandomSelector_MultipleM(M_TrainAll, mode, Num_Done)

Repeat = 0;
if Num_Done >= 40
    Repeat = 1;
end
    
if (strcmp(mode,'Expression'))
    M_Total = 75;
    NumClases = 13;

    RandNum = randperm(M_Total);

    for class=1:NumClases
        M_Train = M_TrainAll(class);

    switch(M_Train)
        
       case {2}
            try
                MatName = sprintf('Global_Random_Selector2_%d',class)
                load(MatName);
            catch
                randN = randperm(M_Total);
                randTrain(1:2) = randN(1:2);
                RG = randTrain';
                save(MatName,'RG');
            end
            
            if (~Repeat)
                randTrain(1:2) = RandNum(1:2);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,2)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:2),2,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest       = RandNum(3:M_Total);
            else
                randTrain(1:2) = RandNum(1:2);
                randTest       = RandNum(3:M_Total);
            end
            Global_Random_Selector2 = sprintf('Global_Random_Selector2_%d)',class);
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector2, 'RG');
        
        case {3}
            try
                MatName = sprintf('Global_Random_Selector3_%d',class)
                load(MatName);
            catch
                randN = randperm(M_Total);
                randTrain(1:3) = randN(1:3);
                RG = randTrain';
                save(MatName,'RG');
            end

            if (~Repeat)
                randTrain(1:3) = RandNum(1:3);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,3)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:3),3,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest       = RandNum(4:M_Total);
            else
                randTrain(1:3) = RandNum(1:3);
                randTest       = RandNum(4:M_Total);
            end
            Global_Random_Selector3 = sprintf('Global_Random_Selector3_%d',class);
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector3, 'RG');
        
        case {4}
            try
                MatName = sprintf('Global_Random_Selector4_%d',class)
                load(MatName);
            catch
                randN = randperm(M_Total);
                randTrain(1:4) = randN(1:4);
                RG = randTrain';
                save(MatName,'RG');
            end
            if (~Repeat)
                randTrain(1:4) = RandNum(1:4);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,4)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:4),4,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest       = RandNum(5:M_Total);
            else
                randTrain(1:4) = RandNum(1:4);
                randTest       = RandNum(5:M_Total);
            end
            Global_Random_Selector4 = sprintf('Global_Random_Selector4_%d',class);
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector4, 'RG');
       
        case {5}
            try
                MatName = sprintf('Global_Random_Selector5_%d',class)
                load(MatName);
            catch
                randN = randperm(M_Total);
                randTrain(1:5) = randN(1:5);
                RG = randTrain';
                save(MatName,'RG');
            end

            if (~Repeat)
                randTrain(1:5) = RandNum(1:5);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,5)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:5),5,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest = RandNum(6:M_Total);
            else
                randTrain(1:5) = RandNum(1:5);
                randTest = RandNum(6:M_Total);
            end
            Global_Random_Selector5 = sprintf('Global_Random_Selector5_%d',class);
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector5, 'RG');
    end
                
elseif (strcmp(mode, 'JAFFE'))
    M_Total = 19;
    NumClases = 10;   
    
    RandNum = randperm(M_Total);
    switch(M_Train)
        case {2}            
            try
                load JAFFE_Global_Random_Selector2;
            catch
                randN = randperm(M_Total);
                randTrain(1:2) = randN(1:2);
                RG = randTrain';
                save JAFFE_Global_Random_Selector2 RG;
            end

            if (~Repeat)
                randTrain(1:2) = RandNum(1:2);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,2)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:2),2,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest       = RandNum(3:M_Total);
            else
                randTrain(1:2) = RandNum(1:2);
                randTest       = RandNum(3:M_Total);
            end
            Global_Random_Selector2 = 'JAFFE_Global_Random_Selector2';
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector2, 'RG');
        
        case {3}
            try
                load JAFFE_Global_Random_Selector3;
            catch
                randN = randperm(M_Total);
                randTrain(1:3) = randN(1:3);
                RG = randTrain';
                save JAFFE_Global_Random_Selector3 RG;
            end

            if (~Repeat)
                randTrain(1:3) = RandNum(1:3);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,3)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:3),3,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest       = RandNum(4:M_Total);
            else
                randTrain(1:3) = RandNum(1:3);
                randTest       = RandNum(4:M_Total);
            end
            Global_Random_Selector3 = 'JAFFE_Global_Random_Selector3';
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector3, 'RG');
        
        case {4}
            try
                load JAFFE_Global_Random_Selector4;
            catch
                randN = randperm(M_Total);
                randTrain(1:4) = randN(1:4);
                RG = randTrain';
                save JAFFE_Global_Random_Selector4 RG;
            end

            if (~Repeat)
                randTrain(1:4) = RandNum(1:4);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,4)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:4),4,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest       = RandNum(5:M_Total);
            else
                randTrain(1:4) = RandNum(1:4);
                randTest       = RandNum(5:M_Total);
            end
            Global_Random_Selector4 = 'JAFFE_Global_Random_Selector4';
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector4, 'RG');
        
        case {5}
            try
                load JAFFE_Global_Random_Selector5;
            catch
                randN = randperm(M_Total);
                randTrain(1:5) = randN(1:5);
                RG = randTrain';
                save JAFFE_Global_Random_Selector5 RG;
            end

            if (~Repeat)
                randTrain(1:5) = RandNum(1:5);
                num_trial = 0;
                while( (CheckPrevious_Used(randTrain,RG,5)) && (num_trial < 75))
                    randTrain = tryAgain(randTrain(1:5),5,Num_Done,M_Total);
                    num_trial = num_trial + 1;
                end
                randTest = RandNum(6:M_Total);
            else
                randTrain(1:5) = RandNum(1:5);
                randTest = RandNum(6:M_Total);
            end
            Global_Random_Selector5 = 'JAFFE_Global_Random_Selector5';
            RG1 = [];
            RG1 = [RG randTrain'];
            RG = RG1;
            save(Global_Random_Selector5, 'RG');
    end
end 

function used = CheckPrevious_Used(x, prev_values, M)

used = 0;

if(M==2)
    for k=1:size(prev_values,2)
        if ( ~isempty (find(prev_values(:,k) == x(1))) )
            if(~isempty(find(prev_values(:,k) == x(2))))
                used = 1;
            end
        end
        if (used)
            break;
        end
    end
elseif (M==3)
    for k=1:size(prev_values,2)
        if (~isempty(find(prev_values(:,k) == x(1))))
            if(~isempty(find(prev_values(:,k) == x(2))))
                if(~isempty(find(prev_values(:,k) == x(3))))
                    used = 1;
                end
            end
        end
        if (used)
            break;
        end
    end
elseif (M ==4)
    for k=1:size(prev_values,2)
        if (~isempty(find(prev_values(:,k) == x(1))))
            if(~isempty(find(prev_values(:,k) == x(2))))
                if(~isempty(find(prev_values(:,k) == x(3))))
                    used = 1;
                end
            end
        end
        if (used)
            break;
        end
    end
elseif (M==5)
    for k=1:size(prev_values,2)
        if (~isempty(find(prev_values(:,k) == x(1))))
            if(~isempty(find(prev_values(:,k) == x(2))))
                if(~isempty(find(prev_values(:,k) == x(3))))
                    if(~isempty(find(prev_values(:,k) == x(4))))
                        used = 1;
                    end
                end
            end
        end
        if (used)
            break;
        end
    end
end 

function randN = tryAgain(curVal, M, T, val)
    
if (val < 5)
    temp1 = curVal(1:M);
    temp2 = curVal(M+1:end);
    randN = [temp2 temp1];
else
    randN = randperm(T);
end
